[oe-commits] [openembedded-core] 10/39: scripts/autobuilder-worker-prereq-tests: Shore up qemu testing

git at git.openembedded.org git at git.openembedded.org
Sun Nov 11 09:17:07 UTC 2018


This is an automated email from the git hooks/post-receive script.

rpurdie pushed a commit to branch master-next
in repository openembedded-core.

commit 15c6e5bdb5046d6ec9efc8cd0866cc978b61f885
Author: Michael Halstead <mhalstead at linuxfoundation.org>
AuthorDate: Thu Nov 8 12:58:40 2018 -0800

    scripts/autobuilder-worker-prereq-tests: Shore up qemu testing
    
    Check that yocto-autobuilder-helper has been cloned to the correct location.
    Check that vnc is running using the same script the autobuilder does.
    Set the DISPLAY enviroment variable to :1 the same way we do when building
    normally.
    Make the VM's serial console available so we can log in and power off allowing
    the tests to continue.
    
    Signed-off-by: Michael Halstead <mhalstead at linuxfoundation.org>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index bb46c69..358dd2b 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -15,6 +15,12 @@
 # test buildistory git repo works?
 #
 
+if [ ! -x $HOME/yocto-autobuilder-helper/scripts/checkvnc ]; then
+    echo "$HOME/yocto-autobuilder-helper should be created."
+    exit 1
+fi
+$HOME/yocto-autobuilder-helper/scripts/checkvnc
+
 . ./oe-init-build-env > /dev/null
 if [ "$?" != "0" ]; then
     exit 1
@@ -53,12 +59,12 @@ if [ ! -e bzImage-qemux86-64.bin ]; then
 fi
 popd
 bitbake qemu-helper-native
-runqemu qemux86-64
+DISPLAY=:1 runqemu serialstdio qemux86-64
 if [ "$?" != "0" ]; then
     echo "Unable to use runqemu"
     exit 1
 fi
-runqemu qemux86-64 kvm
+DISPLAY=:1 runqemu serialstdio qemux86-64 kvm
 if [ "$?" != "0" ]; then
     echo "Unable to use runqemu with kvm"
     exit 1

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list